tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Re: Apache tomcat (7.0.27) is not loading the user and role class for JAASRealm
Date Wed, 20 Jun 2012 07:14:00 GMT
2012/6/20 javed Ansari <javid.937@gmail.com>:
> It seems I am invalidating another servlet than the one which authenticated
> the webapp. This confusion is because I am using Google Web Toolkit
> application template which not just a plain servlet application.
> I am now trying to invalidate all the sessions by calling
> HttpSession.logout(). I can see this API in a servlet book but in Eclipse
> it is not able to find out even with the latest JDK 1.7.
> May be I need to post this onto some Java forum...

Servlet API is not part of Java SE, so JDK version does not matter much.

To use Servlet 3.0 methods your app must be a "Servlet 3.0" web
application (in your web.xml and in your Eclipse Project settings)
and must use jars from Tomcat 7. (in your Java Build Path in your
Eclipse Project settings)

E.g. to create a new project (using Eclipse for Java EE Developers)
menu File > New > Project... -> Web > Dynamic Web Project ->
and the "New Dynamic Web Project" dialog needs the following values
 Target runtime = Tomcat 7,
 Dynamic web module version = 3.0.


Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message